package derby;

import java.sql.*;
import java.util.*;

public class SimpleTesterPure {

    public static void main(String[] args) throws Exception {
        Class.forName("org.apache.derby.jdbc.ClientDriver");
        Enumeration en = DriverManager.getDrivers(); //Ty ktere jsou jiz registrovane v DriverManageru.
        while (en.hasMoreElements()) {
            System.out.println(en.nextElement());
        }

        Connection c = DriverManager.getConnection("jdbc:derby://localhost:1527/sample", "app", "app");   // obe male

        System.out.printf("c=%s\n", c);
        Statement s = c.createStatement();
        System.out.println("s=" + s);
        ResultSet r = null;
        int k = 0;

        r = s.executeQuery("SELECT  * FROM PRODUCT");
        ResultViewer.show(r);
        r = s.executeQuery("SELECT  * FROM CUSTOMER");
        ResultViewer.show(r);
        System.out.println("------- konec vypisu ---------");
        String jmeno;
        String prijmeni;
        r = s.executeQuery("SELECT  * FROM CUSTOMER");
        System.out.println("Dva sloupce z " + r);
        while (r.next()) {
            jmeno = r.getString("NAME");
            prijmeni = r.getString("CITY");
            System.out.println("    \t" + jmeno + "    \t\t" + prijmeni);
        }
        System.out.println("------- Vypis s kodem 'L' --------");

        r = s.executeQuery("SELECT CUSTOMER_ID, DISCOUNT_CODE, ZIP  FROM CUSTOMER WHERE DISCOUNT_CODE= 'L' ");
        ResultViewer.show(r);
        System.out.println("------- Vypis se zipem > '33333' --------");
        r = s.executeQuery("select ZIP, CITY, STATE from CUSTOMER where ZIP >= '33333' order by NAME");
        ResultViewer.show(r);
        // vypsn vsledku

        r = s.executeQuery("select ZIP, CITY, STATE from CUSTOMER where ZIP >= '33333' order by NAME");
        System.out.println("Zkaznk ");
        System.out.printf("%10s %20s %20s\n", " ZIP", " Jmno", "Msto");
        while (r.next()) {
            System.out.printf("%10s %20s %20s\n", r.getString("ZIP"),
                    r.getString("STATE"), r.getString("CITY"));
        }


        System.out.println("Zmena obsahu databaze --------------------");
        String dotaz = "UPDATE CUSTOMER SET ZIP = '444' WHERE NAME = 'JumboCom'";
        s = c.createStatement();
        int pozadavek = s.executeUpdate(dotaz);
        System.out.println("Pocet zmenenych radku  " + pozadavek);

        r = s.executeQuery("SELECT  * FROM CUSTOMER");
        ResultViewer.show(r);

        System.out.println("Priklad na    PreparedStatement ");

        String ss = "select * from CUSTOMER where CUSTOMER_ID = ? or ZIP= ?";
        PreparedStatement ps = c.prepareStatement(ss);
        ps.setString(1, "25");
        ps.setString(2, "94401");

        r = ps.executeQuery();

        ResultViewer.show(r);

        s.close();

        // uzaven spojen
        c.close();
    }
}

